BeginFileDrop Example |
Using Programming Languages other than VBA
Public WithEvents ACADApp As AcadApplication ' Use with Application Event Examples
Sub Example_AcadApplication_Events() ' This example intializes the public variable (ACADApp) which will be used ' to intercept AcadApplication Events ' ' The VBA WithEvents statement makes it possible to intercept an generic object ' with the events associated with that object. ' ' Before you will be able to trigger any of the AcadApplication events, ' you will first need to run this procedure. ' We could get the application from the ThisDocument object, but that would ' require having a drawing open, so we grab it from the system. Set ACADApp = GetObject(, "AutoCAD.Application.16") End Sub
Private Sub ACADApp_BeginFileDrop(ByVal FileName As String, Cancel As Boolean) ' This example intercepts an Application BeginFileDrop event. ' ' This event is triggered when a drawing file is dragged into AutoCAD. ' ' To trigger this example event: ' 1) Make sure to run the example that initializes ' the public variable (named ACADApp) linked to this event. ' ' 2) Drag an AutoCAD drawing file into the AutoCAD application from either ' the Windows Desktop or Windows Explorer ' Use the "Cancel" variable to stop the loading of the dragged file, and the "FileName" ' variable to notifiy the user which file is about to be dragged in. If MsgBox("AutoCAD is about to load " & FileName & vbCrLf & "Do you want to continue loading this file?", vbYesNoCancel + vbQuestion) <> vbYes Then Cancel = True End If End Sub
Comments? |